Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.impl.metadata.security
Class SecurityConstraintMetaData

    java.lang.Object
      org.jboss.portal.portlet.impl.metadata.security.SecurityConstraintMetaData

    public class SecurityConstraintMetaData

extends java.lang.Object

Version:
  $Revision$
Author:
  Emanuel Muckenhuber

Constructor Summary
`SecurityConstraintMetaData()`
`SecurityConstraintMetaData(java.lang.String id)`

Method Summary
`org.jboss.portal.common.i18n.LocalizedString` | `getDisplayName()`
`java.lang.String` | `getId()`
`PortletCollectionMetaData` | `getPortletList()`
`UserDataConstraintMetaData` | `getUserDataConstraint()`
`void` | `setDisplayName(org.jboss.portal.common.i18n.LocalizedString displayName)`
`void` | `setId(java.lang.String id)`
`void` | `setPortletList(PortletCollectionMetaData portletList)`
`void` | `setUserDataConstraint(UserDataConstraintMetaData userDataConstraint)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityConstraintMetaData

    public SecurityConstraintMetaData()

### SecurityConstraintMetaData

    public SecurityConstraintMetaData(java.lang.String id)

Method Detail

### getId

    public java.lang.String getId()

### setId

    public void setId(java.lang.String id)

### getDisplayName

    public org.jboss.portal.common.i18n.LocalizedString getDisplayName()

### setDisplayName

    public void setDisplayName(org.jboss.portal.common.i18n.LocalizedString displayName)

### getPortletList

    public PortletCollectionMetaData getPortletList()

### setPortletList

    public void setPortletList(PortletCollectionMetaData portletList)

### getUserDataConstraint

    public UserDataConstraintMetaData getUserDataConstraint()

### setUserDataConstraint

    public void setUserDataConstraint(UserDataConstraintMetaData userDataConstraint)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.